<%@ page contentType="text/html;charset=GBK"%>
<%@ page import="java.io.File"%>
<%@ page import="java.io.*"%>
<%@ page import="net.sz600.system.*" %>
<%@ include file="/sessionInfo.jsp"%>
<title></title>
</head>
<body>
<%
	//String root = getServletContext().getRealPath("/");      //得到网站绝对路径
	String root = SzProperties.getRootPath();
	String filepath = "";                             //设置文件存放的相对路径(linux)
	String fileName = request.getParameter("fileName");    //得到文件名
	String myName = "a.txt";                              //文件改名
	if (fileName == null || fileName.equals("") ) {
  	out.println("文件不存在");
  	return ;
	}

	out.print(root + filepath + fileName);

	// 设置响应头和下载保存的文件名
	response.reset();
	response.setContentType("application/octet-stream");       //windows
	response.addHeader("Content-Disposition", "filename=\"" + myName + "\"");      //windows
	//response.setContentType("application/octet-stream; charset=GBK");     //linux
	//response.addHeader("Content-Disposition", "attachment; filename=\"" + new String(myName.getBytes("gb2312"),"iso8859-1") + "\"");      //linux


	//新建文件输入输出流
	OutputStream output = null;
	FileInputStream fis = null;
	try{
  	//新建File对象
  	File f = new File(root + filepath + fileName);
  	//新建文件输入输出流对象
  	output = response.getOutputStream();
  	fis = new FileInputStream(f);
  	//设置每次写入缓存大小
  	byte[] b = new byte[(int)f.length()];
  	//out.print(f.length());
  	//把输出流写入客户端
  	int i = 0;
  	while((i = fis.read(b)) > 0){
    	output.write(b, 0, i);
  	}
  	output.flush();
	} catch(Exception e){
  	e.printStackTrace();
	} finally {
  	if(fis != null){
    	fis.close();
    	fis = null;
  	}
  	if(output != null){
    	output.close();
    	output = null;
  	}
	}
%>
</body>
</html>

